/home/travis/build/boostorg/boost/boost/geometry/core/closure.hpp File Reference

## Classes

struct | boost::geometry::closure< Geometry >
| Metafunction defining [*value] as the closure (clockwise, counterclockwise) of the \3. More...
struct | boost::geometry::traits::closure< G >
| Traits class indicating if points within a ring or (multi)polygon are closed (last point == first point), open or not known. More...

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::traits

## Enumerations

enum | boost::geometry::closure_selector { boost::geometry::open = 0, boost::geometry::closed = 1, boost::geometry::closure_undertermined = -1 }
| Enumerates options for defining if polygons are open or closed. More...

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK